picard.fingerprint

## Class GenotypeReader

- java.lang.Object
- - picard.fingerprint.GenotypeReader

- Deprecated.
  Please use VCFFileReader instead of this class.

      public class GenotypeReader
      extends Object

  Class that abstracts away the source of genotypes and provides abilities to read them in from various sources into VariantContext objects

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GenotypeReader.VariantIterator` Deprecated. Small class to encapsulate an iterator over variants, optionally with a sequence dictionary.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenotypeReader()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenotypeReader.VariantIterator` | `read(File file)` Deprecated. Please use VCFFileReader in Picard-public instead of this class.
    `GenotypeReader.VariantIterator` | `read(File file, htsjdk.samtools.util.IntervalList intervals)` Deprecated. Please use VCFFileReader in Picard-public instead of this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenotypeReader

          public GenotypeReader()

      Deprecated.

  - ### Method Detail

    - #### read

          public GenotypeReader.VariantIterator read(File file)

      Deprecated. Please use VCFFileReader in Picard-public instead of this class.
      Reads in a file that contains genotype data and returns an iterator over every entry in the file as VariantContext objects.

    - #### read

          public GenotypeReader.VariantIterator read(File file,
                                                     htsjdk.samtools.util.IntervalList intervals)

      Deprecated. Please use VCFFileReader in Picard-public instead of this class.
      Reads in the file and returns an iterator over the set of entries in the file that overlap with the interval supplied.